Get corporate wallet withdrawal status
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/withdrawals/{withdrawId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/withdrawals/{withdrawId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/withdrawals/{withdrawId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/withdrawals/{withdrawId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "6a4dfe8163ece0f330a0b33e",
"amount": 125000,
"currency": "USDC",
"status": "processing",
"transactionHash": "0xabc123..."
}Wallet
Get corporate wallet withdrawal status
Poll the status of a withdrawal request returned from POST /wallet/withdraw. Status is pending or processing until treasury is credited, then completed. Subscribe to card.withdraw.completed or poll this endpoint.
GET
/
api
/
v1
/
wallet
/
withdrawals
/
{withdrawId}
Get corporate wallet withdrawal status
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/withdrawals/{withdrawId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/withdrawals/{withdrawId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/withdrawals/{withdrawId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/withdrawals/{withdrawId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "6a4dfe8163ece0f330a0b33e",
"amount": 125000,
"currency": "USDC",
"status": "processing",
"transactionHash": "0xabc123..."
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Response
200 - application/json
Withdraw request id
Example:
"6a4dfe8163ece0f330a0b33e"
Amount in cents
Example:
125000
Example:
"USDC"
pending or processing until treasury is credited; completed when card.withdraw.completed would fire
Available options:
pending, processing, completed, failed Example:
"processing"
On-chain transaction hash when available
Example:
"0xabc123..."